petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscStageLogPush

This function pushes a stage on the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogPush(PetscStageLog stageLog, int stage)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage to log

### Database Options

-log_summary -Activates logging

### Usage

If the option -log_sumary is used to run the program containing the following code, then 2 sets of summary data will be printed during PetscFinalize().

          PetscInitialize(int *argc,char ***args,0,0);
          [stage 0 of code]
          PetscStageLogPush(stageLog,1);
          [stage 1 of code]
          PetscStageLogPop(stageLog);
          PetscBarrier(...);
          [more stage 0 of code]
          PetscFinalize();

### Notes

Use PetscLogStageRegister() to register a stage. All previous stages are accumulating time and flops, but events will only be logged in this stage.

### Keywords

log, push, stage

### See Also

PetscStageLogPop(), PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages